List ACH deposit fees

View as MarkdownOpen in Claude

Retrieve a list of ACH deposit fees.

Important: You must provide a value for either the ‘date’ query parameter or the ‘achDepositId’ query parameter.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

beforestringOptional

Return the previous page of results before the value that you specify.

You can’t send the before parameter in the same request as the after parameter.

afterstringOptional

Return the next page of results after the value that you specify.

You can’t send the after parameter in the same request as the before parameter.

limitintegerOptional<=100Defaults to 10
Limit the maximum number of results that we return for each page.
datedateOptional
Date to retrieve results from. You must provide either the 'achDepositId' or the 'date'.
achDepositIdintegerOptional
Unique identifier of the ACH deposit. You must provide either the 'achDepositId' or the 'date'.
merchantIdstringOptional
Filter results by the unique identifier that the processor assigned to the merchant.

Response

Successful request. Returns a paginated list of ACH deposit fees.
datalist of objects
Array of ACH deposit objects.
countinteger

Number of results we returned on this page.

Note: This might not be the total number of results that match your query.

hasMoreboolean
Indicates whether there is another page of results available.
limitinteger
Maximum number of results that we return for each page.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
500
Internal Server Error